<?php
include "../koneksi.php";

$ekspedisi = $_POST['ekspedisi'];
$alamat = $_POST['alamat'];
$pic = $_POST['pic'];
$hp = $_POST['hp'];

if ($ekspedisi == '') {
    $data['error']['ekspedisi'] = 'Ekspedisi tidak boleh kosong';
}
if ($alamat == '') {
    $data['error']['alamat'] = 'Alamat Tidak Boleh Kosong';
}
if ($pic == '') {
    $data['error']['pic'] = 'PIC Tidak Boleh Kosong';
}
if ($hp == '') {
    $data['error']['hp'] = 'No. HP tidak boleh kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO ekspedisi SET
										Ekspedisi = '$ekspedisi',
										Alamat = '$alamat',
										PIC = '$pic',
										HP = '$hp'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

